Name:          gsl
Version:       2.8
Release:       1mamba
Summary:       GNU Scientific Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/gsl/
Source0:       ftp://ftp.gnu.org/gnu/gsl/gsl-%{version}.tar.gz
Source1:       http://www.gnu.org/software/gsl/manual/gsl-ref_toc.html
Source2:       http://www.gnu.org/software/gsl/manual/gsl-ref.ps.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires(post):%{__install_info}

%description
The GNU Scientific Library (GSL) is a numerical library for C and C++ programmers.
The library provides a wide range of mathematical routines such as random number generators, special functions and least-squares fitting.
There are over 1000 functions in total.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries provided by %{name}

%description -n lib%{name}
The GNU Scientific Library (GSL) is a numerical library for C and C++ programmers.
The library provides a wide range of mathematical routines such as random number generators, special functions and least-squares fitting.
There are over 1000 functions in total.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
The GNU Scientific Library (GSL) is a numerical library for C and C++ programmers.
The library provides a wide range of mathematical routines such as random number generators, special functions and least-squares fitting.
There are over 1000 functions in total.
This package contains static libraries and header files needed for development.

%package doc
Group:         Documentation
Summary:       GNU Scientific Library (GSL) documentation
Obsoletes:     libgsl-doc < 2.7.1

%description doc
he GNU Scientific Library (GSL) is a numerical library for C and C++ programmers.
The library provides a wide range of mathematical routines such as random number generators, special functions and least-squares fitting.
There are over 1000 functions in total.
This package contains the GNU Scientific Library (GSL) documentation.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

install -D -m644 %{S:1} rpm.doc/%{S:1}
install -D -m644 %{S:2} rpm.doc/%{S:2}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
%install_info gsl-ref.info
:

%preun
%uninstall_info gsl-ref.info
:

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/gsl-histogram
%{_bindir}/gsl-randist
%{_infodir}/gsl-ref.*
%{_mandir}/man1/gsl-config.*
%{_mandir}/man1/gsl-histogram.*
%{_mandir}/man1/gsl-randist.*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libgsl.so.*
%{_libdir}/libgslcblas.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/gsl
%{_includedir}/gsl/*.h
%{_includedir}/gsl/test_source.c
%{_bindir}/gsl-config
%{_libdir}/libgsl.a
%{_libdir}/libgslcblas.a
%{_libdir}/libgsl.so
%{_libdir}/libgslcblas.so
%{_datadir}/aclocal/gsl.m4
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/gsl.*
%doc BUGS ChangeLog NEWS README THANKS TODO

%files doc
%defattr(-,root,root)
%doc rpm.doc/%{SOURCE1} rpm.doc/%{SOURCE2}

%changelog
* Sun May 26 2024 Automatic Build System <autodist@openmamba.org> 2.8-1mamba
- automatic version update by autodist

* Tue Dec 20 2022 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic update by autodist
- source renamed from libgsl

* Wed Aug 28 2019 Automatic Build System <autodist@mambasoft.it> 2.6-1mamba
- automatic version update by autodist

* Sat Jun 16 2018 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic version update by autodist

* Wed Jun 28 2017 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic version update by autodist

* Sun Dec 18 2016 Automatic Build System <autodist@mambasoft.it> 2.3-1mamba
- automatic version update by autodist

* Sun Sep 04 2016 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Thu Feb 11 2016 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic update by autodist

* Mon Nov 02 2015 Automatic Build System <autodist@mambasoft.it> 2.0-1mamba
- automatic update by autodist

* Sun Jul 21 2013 Automatic Build System <autodist@mambasoft.it> 1.16-1mamba
- automatic update by autodist

* Thu Jun 16 2011 Automatic Build System <autodist@mambasoft.it> 1.15-1mamba
- automatic update by autodist

* Fri Apr 23 2010 Automatic Build System <autodist@mambasoft.it> 1.14-1mamba
- automatic update by autodist

* Thu Sep 10 2009 Automatic Build System <autodist@mambasoft.it> 1.13-1mamba
- automatic update by autodist

* Sun Jan 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-1mamba
- automatic update by autodist

* Tue May 13 2008 Aleph0 <aleph0@openmamba.org> 1.11-1mamba
- update to 1.11

* Thu Sep 20 2007 Aleph0 <aleph0@openmamba.org> 1.10-1mamba
- update to 1.10

* Thu Mar 08 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.9-1qilnx
- update to version 1.9 by autospec

* Wed Apr 12 2006 Davide Madrisan <davide.madrisan@qilinux.it> 1.8-1qilnx
- update to version 1.8 by autospec

* Fri Sep 16 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.7-1qilnx
- package created by autospec
